계좌 결제

GET https://syncky.com/api/payments/
curl --request GET \
--url 'https://syncky.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
매개변수 세부사항 설명
processor 선택 사항 문자열 허용된 값: paypal , stripe , offline_payment , payu , iyzico , paystack , razorpay , mollie , yookassa , crypto_com , paddle , paddle_billing , mercadopago , midtrans , flutterwave , lemonsqueezy , myfatoorah , klarna , plisio , revolut
status 선택 사항 문자열 허용된 값: paid , pending , cancelled , refunded
type 선택 사항 문자열 허용된 값: one_time , recurring
frequency 선택 사항 문자열 허용된 값: monthly , quarterly , biannual , annual , lifetime
order_by 선택 사항 문자열 결과를 정렬할 필드. 허용되는 값은: id , datetime , total_amount.
order_type 선택 사항 문자열 결과의 정렬. 허용되는 값은 ASC로 오름차순 정렬, DESC로 내림차순 정렬입니다.
page 선택 사항 정수 결과를 원하는 페이지 번호입니다. 기본값은 1입니다.
results_per_page 선택 사항 정수 페이지당 원하는 결과 수는 얼마입니까? 허용되는 값은: 10 , 25 , 50 , 100 , 250 , 500 , 1000. 기본값은 25입니다.
{
    "data": [
        {
            "id": 1,
            "plan_id": 1,
            "processor": "stripe",
            "type": "one_time",
            "frequency": "monthly",
            "email": "example@example.com",
            "name": null,
            "total_amount": "4.99",
            "currency": "USD",
            "status": true,
            "datetime": "2026-04-16 04:35:50",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://syncky.com/api/payments?page=1",
        "last": "https://syncky.com/api/payments?page=1",
        "next": null,
        "prev": null,
        "self": "https://syncky.com/api/payments?page=1"
    }
}
GET https://syncky.com/api/payments/{payment_id}
curl --request GET \
--url 'https://syncky.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "plan_id": 1,
        "processor": "stripe",
        "type": "one_time",
        "frequency": "monthly",
        "email": "example@example.com",
        "name": null,
        "total_amount": "4.99",
        "currency": "USD",
        "status": true,
        "datetime": "2026-04-16 04:35:50",
    }
}